# $Revision: 1.40 $, $Date: 2005/10/10 19:19:24 $
%define 	module	Twisted

Summary:	Event-driven networking framework written in Python
Summary(pl):	Narzdzia do zdarzeniowego i rozproszonego programowania w Pythonie
Name:		python-%{module}
Version:	2.1.0
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://tmrc.mit.edu/mirror/twisted/Twisted/2.1/Twisted-%{version}.tar.bz2
# Source0-md5:	0aa4b877c4e34750e52c9f0b93959913
Patch0:		%{name}-basedir-import.patch
URL:		http://www.twistedmatrix.com/
BuildRequires:	ZopeInterface
BuildRequires:	python-devel >= 2.2
Requires:	ZopeInterface
Requires:	python-Crypto
Requires:	python-devel-tools
%pyrequires_eq	python-modules
Obsoletes:	python-Twisted-web-resource-script < 2.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
An event-driven networking framework written in Python and licensed
under the LGPL. Twisted supports TCP, UDP, SSL/TLS, multicast, Unix
sockets, a large number of protocols (including HTTP, NNTP, SSH, IRC,
FTP, and others), and much more.

%description -l pl
Narzdzia i biblioteki do budowania rozproszonych aplikacji sieciowych
napisane w Pythonie i udostpnione na licencji LGPL. Twisted wspiera
TCP, UDP, SSL/TLS, multicast, gniazda uniksowe, spor ilo protokow
(w tym HTTP, NNTP, SSH, IRC, FTP i wiele innych), i duo wicej.

%package doc
Summary:	Documentation for Twisted
Summary(pl):	Dokumentacja do Twisted
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
Offline documentation for Twisted - event-driven networking framework
written in Python.

%description doc -l pl
Dokumentacja offline do Twisted - narzdzia do budowania rozproszonych
aplikacji sieciowych pisanych w Pythonie.

%package examples
Summary:	Example programs for Twisted
Summary(pl):	Programy przykadowe do Twisted
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-Twisted-examples-sandbox < 2.0.0

%description examples
This package contains example programs for Twisted.

%description examples -l pl
Ten pakiet zawiera przykadowe programy dla Twisted.

%package ssl
Summary:	SSL module for Twisted
Summary(pl):	Modu SSL dla Twisted
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python-pyOpenSSL

%description ssl
This package contains SSL transport module for Twisted

%description ssl -l pl
Ten pakiet zawiera modu SSL dla Twisted.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_mandir}/man1,%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

install doc/man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
rm -f doc/man/*.1
cp -ar doc/examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CREDITS ChangeLog* README NEWS
%attr(755,root,root) %{_bindir}/*
%{py_sitedir}/twisted
%{_mandir}/man1/*.1*

%exclude %{py_sitedir}/twisted/internet/ssl.py[oc]

%files ssl
%defattr(644,root,root,755)
%{py_sitedir}/twisted/internet/ssl.py[oc]

%files doc
%defattr(644,root,root,755)
%doc doc/{benchmarks,howto,img,specifications,upgrades,vision,index.html,man}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Twisted.spec,v $
Revision 1.40  2005/10/10 19:19:24  troll
- updated to 2.1.0

Revision 1.39  2005/06/10 17:39:48  troll
- Requires: ZopeInterface

Revision 1.38  2005/05/29 13:39:39  troll
- updated to 2.0.1

Revision 1.37  2005/03/24 18:26:44  arekm
2.0.0 final

Revision 1.36  2005/03/20 14:01:07  ciesiel
- chnged BR: Zope-ZopeInterface->ZopeInterface

Revision 1.35  2005/03/20 13:44:47  arekm
- a4

Revision 1.34  2005/03/20 11:49:09  arekm
- update to 2.0.0 a3 (prerelease)

Revision 1.33  2005/02/20 01:00:12  emes
- exclude sys.argv[0] basedir from path to avoid name conflicts with
  *.py scripts while importing modules

Revision 1.32  2004/12/24 13:37:14  troll
-rel 7 to rebuild with Python 2.4

Revision 1.31  2004/08/25 13:58:27  qboosh
- unification, missing dir

Revision 1.30  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.29  2004/07/26 18:15:29  zboczuch
- massive attack: s/CLFAGS/CFLAGS/

Revision 1.28  2004/06/17 07:33:36  zboczuch
- R: python-Crypto (used in many modules, and these modules in others,
  so creating separated submodules doesn't make sense)
- rel. 6

Revision 1.27  2004/05/29 23:42:38  zboczuch
- examples-sandbox subpackage
- rel. 5

Revision 1.26  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.25  2004/05/25 16:44:37  qboosh
- use exclude instead of ghost

Revision 1.24  2004/05/25 11:06:19  zboczuch
- typo

Revision 1.23  2004/05/25 11:03:59  zboczuch
- polish Summary and description for web-resource-script subpackage (thanks for undefine for tranlation)

Revision 1.22  2004/05/25 10:42:52  zboczuch
- separated -web-resource-script module (for Requires: python-quixote)
- rel. 4

Revision 1.21  2004/05/22 15:32:56  wolf
- R: python-devel-tools

Revision 1.20  2004/05/20 20:51:21  zboczuch
- separated ssl module (for Requires: pyOpenSSL)
- rel. 3

Revision 1.19  2004/05/19 09:45:30  zboczuch
- rel. 2

Revision 1.18  2004/05/19 09:43:23  zboczuch
- HTML version of man files included (due to broken link in documentation)

Revision 1.17  2004/05/18 19:15:27  qboosh
- updated to 1.3.0 (from Marcin Gajda)

Revision 1.16  2004/05/06 12:34:56  qboosh
- separated -doc and -examples (by Marcin Gajda); release 2

Revision 1.15  2004/03/13 20:53:43  qboosh
- fixed License (acc. to description and homepage)

Revision 1.14  2004/03/12 09:26:28  qboosh
- updated to 1.2.0, fixed python deps

Revision 1.13  2003/12/10 11:31:14  arekm
- updated to 1.1.1

Revision 1.12  2003/12/01 23:38:38  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.11  2003/11/03 00:44:44  arekm
- updated to 1.1.0

Revision 1.10  2003/09/20 08:25:41  misi3k
- updated to 1.0.7

Revision 1.9  2003/07/02 08:12:58  matkor
- Version 1.0.6. Release 1. Security fixes.

Revision 1.8  2003/07/02 01:56:35  blues
- cosmetics

Revision 1.7  2003/06/01 10:01:12  mmazur
- updated to 1.0.5

Revision 1.6  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:26:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/21 19:09:13  matkor
- Version 1.0.4. Release 1

Revision 1.3  2003/02/19 23:38:54  matkor
- Version 1.0.3.

Revision 1.2  2003/02/10 11:47:55  qboosh
- typos

Revision 1.1  2003/02/09 15:19:02  matkor
- Initial spec.
